/**
 * @file
 * Init tarteaucitron.js script.
 */

(function(Drupal, drupalSettings, tarteaucitron) {
  /**
   * Init tarteaucitron.js script.
   *
   * @type {Drupal~behavior}
   *
   * @prop {Drupal~behaviorAttach} attach
   *   Attaches the script.
   */
  Drupal.behaviors.tacjs = {
    attach: function attach() {
      // Add custom texts to tarteaucitron.
      tarteaucitronCustomText = drupalSettings.tacjs.texts;

      // Add users identification to tarteaucitron.
      tarteaucitron.user = drupalSettings.tacjs.user;

      // Add enabled services to tarteaucitron services.
      Object.keys(drupalSettings.tacjs.services)
        .filter(function(service) {
          // Filter enabled services.
          return drupalSettings.tacjs.services[service];
        })
        .forEach(function(service) {
          (tarteaucitron.job = tarteaucitron.job || []).push(service);
        });

      // Initiate tarteaucitron
      tarteaucitron.init({
        adblocker: drupalSettings.tacjs.dialog.adblocker,
        hashtag: drupalSettings.tacjs.dialog.hashtag,
        cookieName: drupalSettings.tacjs.dialog.cookieName,
        highPrivacy: drupalSettings.tacjs.dialog.highPrivacy,
        orientation: drupalSettings.tacjs.dialog.orientation,
        removeCredit: drupalSettings.tacjs.dialog.removeCredit,
        showAlertSmall: drupalSettings.tacjs.dialog.showAlertSmall,
        cookieslist: drupalSettings.tacjs.dialog.cookieslist,
        handleBrowserDNTRequest: drupalSettings.tacjs.dialog.handleBrowserDNTRequest,
        AcceptAllCta: drupalSettings.tacjs.dialog.AcceptAllCta,
        moreInfoLink: drupalSettings.tacjs.dialog.moreInfoLink,
        privacyUrl: drupalSettings.tacjs.dialog.privacyUrl,
        useExternalCss: drupalSettings.tacjs.dialog.useExternalCss,
        readmoreLink: drupalSettings.tacjs.dialog.readmoreLink,
        cookieDomain: drupalSettings.tacjs.dialog.cookieDomain
      });
    }
  };
})(Drupal, drupalSettings, tarteaucitron);
